Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.core
Interface Node

All Superinterfaces:
  Contextable, Node, Serializable

    public interface Node

extends Node, Contextable, Serializable

Represents a node in a RuleFlow.

Field Summary
`static String` | `CONNECTION_DEFAULT_TYPE`

Method Summary
`void` | `addIncomingConnection(String type, Connection connection)`
`void` | `addOutgoingConnection(String type, Connection connection)`
`String` | `getUniqueId()`
`void` | `removeIncomingConnection(String type, Connection connection)`
`void` | `removeOutgoingConnection(String type, Connection connection)`
`void` | `setId(long id)` Method for setting the id of the node
`void` | `setMetaData(String name, Object value)`
`void` | `setName(String name)` Method for setting the name of the node
`void` | `setNodeContainer(NodeContainer nodeContainer)`

Methods inherited from interface org.drools.definition.process.Node
`getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getOutgoingConnections, getOutgoingConnections`

Methods inherited from interface org.jbpm.process.core.Contextable
`getContext, setContext`

Field Detail

### CONNECTION_DEFAULT_TYPE

    static final String CONNECTION_DEFAULT_TYPE

See Also:
  Constant Field Values

Method Detail

### setId

    void setId(long id)

  Method for setting the id of the node

  Parameters:
    `id` - the id of the node

### setName

    void setName(String name)

  Method for setting the name of the node

  Parameters:
    `name` - the name of the node

### getUniqueId

    String getUniqueId()

### addIncomingConnection

    void addIncomingConnection(String type,
                               Connection connection)

### addOutgoingConnection

    void addOutgoingConnection(String type,
                               Connection connection)

### removeIncomingConnection

    void removeIncomingConnection(String type,
                                  Connection connection)

### removeOutgoingConnection

    void removeOutgoingConnection(String type,
                                  Connection connection)

### setNodeContainer

    void setNodeContainer(NodeContainer nodeContainer)

### setMetaData

    void setMetaData(String name,
                     Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.